//
//  ViewController.m
//  CarPlateKeyBoard
//
//  Created by FuYunLei on 2017/4/18.
//  Copyright © 2017年 FuYunLei. All rights reserved.
//

#import "ViewController.h"
#import "ChooseCarPlateView.h"

@interface ViewController ()

@property (weak, nonatomic) IBOutlet UIButton *btnCarPlate;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
  
}
- (IBAction)chooseCarPlate:(UIButton *)sender {
    
    //创建车牌选择view
    ChooseCarPlateView *v = [[ChooseCarPlateView alloc] init];
    //设置回调
    [v setDidChooseCarNumberBlock:^(NSString *str) {
        if (str.length != 0) {
            [self setBtnTitle:str];
        }
    }];
    //如果以前选择过,就把当前的传给view
    NSString *str = sender.currentTitle;
    
    //"·"处理
    if ([str containsString:@"·"]) {
        
        NSMutableString *mutStr = [NSMutableString stringWithString:str];
        [mutStr replaceCharactersInRange:NSMakeRange(2, 1) withString:@""];
        v.strDefault = [NSString stringWithFormat:@"%@",mutStr];
        
    }else
    {
        v.strDefault = str;
    }
    
    [v show];
}

//车牌第三位点 "·" 处理
- (void)setBtnTitle:(NSString *)str
{
    if (str.length>=3) {
        NSMutableString *mutStr = [NSMutableString stringWithString:str];
        [mutStr insertString:@"·" atIndex:2];
        [_btnCarPlate setTitle:mutStr forState:UIControlStateNormal];
    }else
    {
        [_btnCarPlate setTitle:str forState:UIControlStateNormal];
    }
    [_btnCarPlate setImage:nil forState:UIControlStateNormal];
}

@end
